import request from '@/utils/request'

export function getTruingPage(data) {
  return request({
    url: '/production-white-strip-refined/page',
    method: 'get',
    params: data
  })
}
export function getTruingList(data) {
    return request({
        url: '/production-white-strip-refined/list',
        method: 'post',
        data: data
    })
}
export function getTruingById(data) {
    return request({
        url: '/production-white-strip-refined/listById',
        method: 'post',
        data: data
    })
}
export function addTruing(data) {
    return request({
        url: '/production-white-strip-refined/add',
        method: 'post',
        data: data
    })
}
export function editTruing(data) {
    return request({
        url: '/production-white-strip-refined/edit',
        method: 'post',
        data: data
    })
}
export function delTruing(data) {
    return request({
        url: '/production-white-strip-refined/delete',
        method: 'post',
        data: data
    })
}

// 拿到白条对应的
export function getTruingByWhiteStripNumber(data) {
    return request({
        url: '/production-regular/listWhite',
        method: 'post',
        data: data
    })
}